Partio.h File Reference
`#include <string>`
`#include <vector>`
`#include <map>`
`#include <stdint.h>`
`#include <string.h>`
`#include "PartioAttribute.h"`
`#include "PartioIterator.h"`

Go to the source code of this file.

## Classes

class | Partio::ParticlesInfo
| Particle Collection Interface. More...
class | Partio::ParticlesData
| Particle Data Interface. More...
class | Partio::ParticlesDataMutable
| Particle Mutable Data Interface. More...

## Namespaces

namespace | Partio

## Typedefs

typedef uint64_t | Partio::ParticleIndex
| Opaque random access method to a single particle. No number is implied or guaranteed. More...

## Functions

ParticlesDataMutable * | Partio::create ()
| Provides an empty particle instance, freed with p->release() More...
ParticlesDataMutable * | Partio::createInterleave ()
ParticlesDataMutable * | Partio::cloneSchema (const ParticlesData &, const std::map< std::string, std::string > *attrNameMap=nullptr)
ParticlesDataMutable * | Partio::clone (const ParticlesData &, bool particles=true, const std::map< std::string, std::string > *attrNameMap=nullptr)
ParticlesDataMutable * | Partio::read (const char *filename, const bool verbose=true, std::ostream &errorStream=std::cerr)
ParticlesInfo * | Partio::readHeaders (const char *filename, const bool verbose=true, std::ostream &errorStream=std::cerr)
void | Partio::write (const char *filename, const ParticlesData &, const bool forceCompressed=false, bool verbose=true, std::ostream &errorStream=std::cerr)
ParticlesData * | Partio::readCached (const char *filename, const bool sort, const bool verbose=true, std::ostream &errorStream=std::cerr)
| Cached (only one copy) read only way to read a particle file. More...
void | Partio::beginCachedAccess (ParticlesData *particles)
| Begin accessing data in a cached file. More...
void | Partio::endCachedAccess (ParticlesData *particles)
| End accessing data in a cached file. More...
void | Partio::print (const ParticlesData *particles)
| Prints a subset of particle data in a textual form. More...
ParticlesDataMutable * | Partio::computeClustering (ParticlesDataMutable *particles, const int numNeighbors, const double radiusSearch, const double radiusInside, const int connections, const double density)
void | Partio::merge (ParticlesDataMutable &base, const ParticlesData &delta, const std::string &identifier=std::string())
| Merges one particle set into another. More...